package com.caimei.module.base.entity.bo;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 顶部购物车数据（简洁数据）
 *
 * @author : Charles
 * @date : 2020/7/1
 */
@Data
public class CartItem implements Serializable {
    private Integer id;
    private Integer productId;
    private Integer supplierId;
    private String name;
    private String image;
    private Double price;
    private Double originalPrice;
    private String unit;
    /**
     * 是否是赠品 1是，其他否
     */
    private Integer isGift;
    /**
     * 增量
     */
    private Integer step;
    /**
     * 起订量
     */
    private Integer min;
    /**
     * 商品上架状态：0逻辑删除 1待审核 2已上架 3已下架 8审核未通过 9已冻结
     */
    private Integer validFlag;
    /**
     * 价格可见度：0公开价格 1不公开价格 2仅对会员机构公开
     */
    private Integer priceFlag;
    /**
     * 活动状态：1有效，0失效
     */
    private Integer actStatus;
    /**
     * 启用阶梯价格标识：1是，0否
     */
    private Integer ladderFlag;
    /**
     * 库存
     */
    private Integer stock;
    /**
     * 购买数量
     */
    private Integer number;
    /**
     * 购物车失效状态：0有效，1后台删除的，2冻结的，3下架，4售罄 >7库存不足，5价格仅会员可见，6未公开价格
     */
    private Integer status;
    /**
     * 阶梯价
     */
    List<LadderPrice> ladderPrices;
    /**
     * 促销活动
     */
    private PromotionsVo promotions;

    private static final long serialVersionUID = 1L;
}
